---
title: Encrypted Media Extensions API
slug: Web/API/Encrypted_Media_Extensions_API
tags:
  - API
  - EME
  - Encrypted Media Extensions
  - Encrypted Media Extensions API
  - EncryptedMediaExtensions
  - NeedsContent
  - Overview
  - Reference
---
<div>{{DefaultAPISidebar("Encrypted Media Extensions")}}{{SeeCompatTable}}</div>

<p class="summary">The Encrypted Media Extensions API provides interfaces for controlling the playback of content which is subject to a digital restrictions management scheme.</p>

<h2 id="Interfaces">Interfaces</h2>

<dl>
 <dt>{{domxref('MediaKeyMessageEvent')}}</dt>
 <dd>Contains the content and related data when the content decryption module (CDM) generates a message for the session.</dd>
 <dt>{{domxref('MediaKeys')}}</dt>
 <dd>Represents a set of keys that an associated {{domxref('HTMLMediaElement')}} can use for decryption of media data during playback.</dd>
 <dt>{{domxref('MediaKeySession')}}</dt>
 <dd>Represents a context for message exchange with a content decryption module (CDM).</dd>
 <dt>{{domxref('MediaKeyStatusMap')}}</dt>
 <dd>Is a read-only map of media key statuses by key IDs. </dd>
 <dt>{{domxref('MediaKeySystemAccess')}}</dt>
 <dd>Provides access to a Key System for decryption and/or a content protection provider.</dd>
 <dt>{{domxref('MediaKeySystemConfiguration')}}</dt>
 <dd>Provides configuration information about the media key system.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('EME')}}</td>
   <td>{{Spec2('EME')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>
<h3 id="Navigator.requestMediaKeySystemAccess()">Navigator.requestMediaKeySystemAccess()</h3>

<div>

<p>{{Compat("api.Navigator.requestMediaKeySystemAccess")}}</p>
</div>
</div>
